const fs = require('fs');

const Markup = require('telegraf/markup');
const Extra = require('telegraf/extra');

const example_lang = require('./lang.js');

//=== TOOL FUNCTIONS

/* Here you usualy write util functions that are used multiple times in the code (or a second file is recommended)*/ 

//=== MAIN MODULE CONFIG

module.exports = function(){
	return {
	name : "recipe", //Unique Module name
	key : "rcp", //Unique Key for this module, if multiple instances add a number/text to it
	version : 0.1, //Version Number, Currently unused
	requirements : {
		gps: false, //Currently un-used (all module have access to GPS)
	},
	text : [
		{
			trigger : ["/recipes"], //Array of Triggers
			public : true, //Should it be shown to user (user can still run the command without knowing it exists)
			desc : {0:"Pings the user",
					1:"Envois un ping à l'utilisateur",
					2:"Yu-za- de pingu wo tsukawashite",
					3:"*insert arabic*",
			},
			requirements : (bot,event,message)=>{ 
				return new Promise((resolve, reject)=>{
					if (false)
						return reject(400);
					return resolve(200);
				});
			},
			action : (bot,event,message)=>{
				return event.reply("pong");
			}
		},
	],
	reply : [],
	regex : [],
	media : [],
	callback : [],
	inline : [],
	new_member : (bot,event)=>{},
	weburl : [],
	cron : [],
	register_bot: (bot)=>{
		this.bot = bot;
	}
}
	
}